#ifndef		__GAME_WIDGET_H__
#define		__GAME_WIDGET_H__

#include "global.h"
#include "player.h"
#include "camera.h"


class GameWidget : public Widget {
	private:
		double time;
		bool playing;
		bool paused;

		Camera camera;
		Player player;

		struct Stone {
			int x;
			int y;
			int rot;
			float scale;
		};

		vector<Stone> stones;

		bool justReachedTroll;


	protected:
		void Gradient(Bitmap &canvas, int x1, int y1, int x2, int y2, Color c1, Color c2);
		void Draw(Bitmap &canvas);
		void MsgTick();
		bool MsgChar(int c);
		bool MsgWantfocus();

	public:
		GameWidget();
		void StartPlaying();
		void StopPlaying();
		void Pause();
};

#endif		//__GAME_WIDGET_H__
