#include "mainmenu.h"


MainMenu::MainMenu() : GameDialog() {
	// first add a desktop
	desktop.Shape(0, 0, SCREEN_W, SCREEN_H);
	Add(desktop);

	int dy = 12;
	int y = 5-dy;
	int h = 10;
	int x = 45;
	int w = 50;

	// make a title
	title.Shape(35, y+=dy, 65, 14, 1);
	title.ClearFlag(D_AUTOSIZE);
	title.AlignCentre();
	title.SetText("Tuna-Jump");
	Add(title);

	// add all the buttons; note that the buttons make the dialog exit when pushed
	y = 18;
	char *bTitle[] = { "New Game", "Options", "Highscores", "Help", "Exit" };
	for (int i=0; i<5; i++) {
		btn[i].Shape(x, y+=dy, w, h, 1);
		btn[i].SetText(bTitle[i]);
		btn[i].MakeExit();
		Add(btn[i]);
	}

	tunaPreview.Shape(40, SCREEN_H/6, 188, 348);
	tunaPreview.MakeExit();
	tunaPreview.Disable();
	Add(tunaPreview);

	lblBottom.Shape(0, SCREEN_H-18, SCREEN_W, 18);
	lblBottom.LoadText("data/credits");
	Add(lblBottom);

	escapeExits = false;
}


int MainMenu::Run() {
	// run the dialog and remember which object caused it to close
	if (unlockedSecret) {
		tunaPreview.Enable();
	}
	else {
		tunaPreview.Disable();
	}

	Widget *obj = Execute(&btn[0]);

	// find out which button was pushed and return the ID of the matching next state
	for (int i=0; i<4; i++) {
		if (obj == &btn[i]) {
			GiveFocusTo(&btn[i]);
			return i+1;
		}
	}

	if (obj == &tunaPreview) {
		GiveFocusTo(obj);
		return S_SECRETGAME;;
	}

	return S_EXIT_GAME;
}
